from datetime import datetime


def get_media_info(media):
    media_id = media['media_id']
    media_type = media['media_type']
    media_length = media['media_length']
    media_name = media['upload_name']
    created_ts = media['created_ts']

    media_mb_size = media_length / (1024 * 1024)
    media_size = round(media_mb_size, 2)

    unix_ts = datetime.fromtimestamp(created_ts / 1000.0).strftime('%Y-%m-%d %H:%M:%S')

    print(f"ID: {media_id}, Name: {media_name}, Type: {media_type}, Size: {media_size}MB, Created: {unix_ts}")
