import sqlite3


class StickerDatabase:
    def __init__(self):
        self.conn = sqlite3.connect('exclude_media.db')
        self.cur = self.conn.cursor()
        self.create_table()

    def create_table(self):
        query = """CREATE TABLE IF NOT EXISTS stickers (
                    id INTEGER PRIMARY KEY AUTOINCREMENT,
                    user_id TEXT,
                    sticker_pack TEXT,
                    sticker_id TEXT)"""
        self.cur.execute(query)
        self.conn.commit()

    def insert_sticker(self, username, stickerpack, sticker_id):
        query = "SELECT 1 FROM stickers WHERE user_id=? AND sticker_pack=? AND sticker_id=?"
        self.cur.execute(query, (username, stickerpack, sticker_id))
        if self.cur.fetchone() is None:
            query = "INSERT INTO stickers (user_id, sticker_pack, sticker_id) VALUES (?, ?, ?)"
            self.cur.execute(query, (username, stickerpack, sticker_id))
            self.conn.commit()

    def get_sticker_ids(self):
        query = "SELECT sticker_id FROM stickers"
        self.cur.execute(query)
        return self.cur.fetchall()

    def close_conn(self):
        self.conn.close()
        print("Database connection closed!")
